=== debian/changelog ===
ros-indigo-segbot-bringup (0.3.5-0trusty) trusty; urgency=high

  * Added xtion and led strip to segbot_v3 launch file in segbot_bringup
    (#75 <https://github.com/utexas-bwi/segbot/issues/75>)
  * Contributors: Rolando Fernandez

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot-bringup (0.3.4-0trusty) trusty; urgency=high

  * roslaunch check updates
  * add missing xacro dependency
  * comment out roslaunch checks for references to unreleased Segway packages (#70 <https://github.com/utexas-bwi/segbot/issues/70>)
  * remove dependencies on unreleased Segway packages (#70 <https://github.com/utexas-bwi/segbot/issues/70>)
  * unit test fixes (#65 <https://github.com/utexas-bwi/segbot/issues/65>)
  * added additional flexability to the battery_diagnostics sendmail
    node that will now allow parameters to be set in the launch file to
    reflect local segbot differences (different threshold levels,
    etc). Appropriate values have been added for the segbot_v3 in its
    launchfile. The segbot_v3 controller now republishes battery
    information onto the topic assumed by the battery diagnostics.
  * segbot_v3: add robot monitor for diagnostics
    information onto the topic assumed by the battery diagnostics.
  * updated for hokuyo on segbot v3
  * fixed some problems in the velodyne processing chain
  * added segbot v3 support
  * Contributors: Jack O'Quin, Piyush Khandelwal, maxsvetlik

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot-bringup (0.3.3-0trusty) trusty; urgency=high

  * segbot_bringup: launch stop controller with segway base (#41 <https://github.com/utexas-bwi/segbot/issues/41>)
  * segbot_bringup: pass correct port to Arduino driver
  * fixed launch command for arduino and diagnostics. closes #36 <https://github.com/utexas-bwi/segbot/issues/36>.
  * segbot_bringup: convert to package format two (#35 <https://github.com/utexas-bwi/segbot/issues/35>)
  * segbot_bringup: add diagnostics and arduino to segbot_v2 launch (#35 <https://github.com/utexas-bwi/segbot/issues/35>)
  * segbot_bringup: minor launch file cleanup and formatting
  * Contributors: Jack O'Quin, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot-bringup (0.3.2-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot-bringup (0.3.1-0trusty) trusty; urgency=high

  * removed redundant segbot v1 models.
  * updated segbot v2 model to use correct URDF.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot-bringup (0.3.0-0trusty) trusty; urgency=high

  * fixed default depth_registered flag to allow kinect to work properly.
  * use different filters for segbot v1 and segbot v2 due to differences between different laser models.
  * added launch file for segbot v2.
  * fixed some issues with frame ids for multi robot setup.
  * Changed the value of "depth_only" to "true" so that the published point cloud contains color information as well.
  * Contributors: Jivko Sinapov, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 14 Mar 2015 05:00:00 -0000

ros-indigo-segbot-bringup (0.2.1-0trusty) trusty; urgency=high

  * segbot_bringup: install udev rules (#26 <https://github.com/utexas-bwi/segbot/issues/26>)
  * fix some problems catkin_lint discovered

 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 24 Apr 2014 05:00:00 -0000

ros-indigo-segbot-bringup (0.2.0-0trusty) trusty; urgency=high

  * Release to Hydro.
  * Added udev rules for segbot, and updated the kinect laserscan
    configuration.
  * Catkin_lint approved packages.
  * Updated descriptions and licensing information
  * Fixed licensing information from borrowed scripts.

 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 17 Apr 2014 05:00:00 -0000

ros-indigo-segbot-bringup (0.1.9-0trusty) trusty; urgency=high

  * revert update for #16 <https://github.com/utexas-bwi/segbot/issues/16> now that we can use the standard
    robot_state_publisher (#21 <https://github.com/utexas-bwi/segbot/issues/21>).

 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 15 Dec 2013 06:00:00 -0000

ros-indigo-segbot-bringup (0.1.8-0trusty) trusty; urgency=high

  * use ``roslaunch_add_files_check()`` to test that required launch
    file dependencies are declared.
  * fixed a few minor errors found on the real robot
  * added configuration with both the hokuyo and kinect in it
  * preparing to add kinect as well as the hokuyo for navigation
  * update change history
  * segbot_bringup: use roslaunch_add_file_check() (#20 <https://github.com/utexas-bwi/segbot/issues/20>)
  * Contributors: BWI, Jack O'Quin, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 04 Dec 2013 06:00:00 -0000

ros-indigo-segbot-bringup (0.1.7-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 03 Sep 2013 05:00:00 -0000

ros-indigo-segbot-bringup (0.1.6-0trusty) trusty; urgency=high

  * removed nodelet manager reuse for depthimage_to_laserscan for the time being
  * added a script for getting the ip address
  * fixed segbot_bringup to work with upcoming changes to freenect/openni launch files
  * fixed tf prefix setting for gazebo openni_kinect plugin
  * adding prefix enabled copy of robot_state_publisher. closes #16 <https://github.com/utexas-bwi/segbot/issues/16>
  * cleaned up segbot description
  * renamed all internal launch files to xml. They don't show up in roslaunch any more. closes #15 <https://github.com/utexas-bwi/segbot/issues/15>
  * moved joint state publisher to auxiliary files - now runs on both the real robots and in simulation. closes #14 <https://github.com/utexas-bwi/segbot/issues/14>

